CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2021-45046

It was found that the fix to address CVE-2021-44228 in Apache Log4j 2.15.0 was incomplete in certain non-default configurations. This could allows attackers with control over Thread Context Map (MDC) input data when the logging configuration uses a non-default Pattern Layout with either a Context Lookup (for example, $${ctx:loginId}) or a Thread Context Map pattern (%X, %mdc, or %MDC) to craft malicious input data using a JNDI Lookup pattern resulting in an information leak and remote code execution in some environments and local code execution in all environments. Log4j 2.16.0 (Java 8) and 2.12.2 (Java 7) fix this issue by removing support for message lookup patterns and disabling JNDI functionality by default.
Publish Date : 2021-12-14 Last Update Date : 2022-07-25
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.1
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity High (Specialized access conditions exist. It is hard to exploit and several special conditions must be satisfied to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute CodeObtain Information
CWE ID 502

- Products Affected By CVE-2021-45046

# Product Type Vendor Product Version Update Edition Language
1 Application Apache Log4j * * * * Version Details Vulnerabilities
2 Application Apache Log4j 2.0 RC1 * * Version Details Vulnerabilities
3 Application Apache Log4j 2.0 Beta9 * * Version Details Vulnerabilities
4 Application Apache Log4j 2.0 RC2 * * Version Details Vulnerabilities
5 Application Apache Log4j 2.0 - * * Version Details Vulnerabilities
6 OS Debian Debian Linux 10.0 * * * Version Details Vulnerabilities
7 OS Debian Debian Linux 11.0 * * * Version Details Vulnerabilities
8 OS Fedoraproject Fedora 34 * * * Version Details Vulnerabilities
9 OS Fedoraproject Fedora 35 * * * Version Details Vulnerabilities
10 Application Intel Audio Development Kit - * * * Version Details Vulnerabilities
11 Application Intel Computer Vision Annotation Tool - * * * Version Details Vulnerabilities
12 Application Intel Datacenter Manager - * * * Version Details Vulnerabilities
13 Application Intel Genomics Kernel Library - * * * Version Details Vulnerabilities
14 Application Intel Oneapi - * * * Version Details Vulnerabilities
15 Application Intel Secure Device Onboard - * * * Version Details Vulnerabilities
16 Application Intel Sensor Solution Firmware Development Kit - * * * Version Details Vulnerabilities
17 Application Intel System Debugger - * * * Version Details Vulnerabilities
18 Application Intel System Studio - * * * Version Details Vulnerabilities
19 Application Siemens Captial * * * * Version Details Vulnerabilities
20 Application Siemens Captial 2019.1 - * * Version Details Vulnerabilities
21 Application Siemens Captial 2019.1 Sp1912 * * Version Details Vulnerabilities
22 Application Siemens Comos * * * * Version Details Vulnerabilities
23 Application Siemens Desigo Cc Advanced Reports 4.0 * * * Version Details Vulnerabilities
24 Application Siemens Desigo Cc Advanced Reports 4.1 * * * Version Details Vulnerabilities
25 Application Siemens Desigo Cc Advanced Reports 4.2 * * * Version Details Vulnerabilities
26 Application Siemens Desigo Cc Advanced Reports 5.0 * * * Version Details Vulnerabilities
27 Application Siemens Desigo Cc Advanced Reports 5.1 * * * Version Details Vulnerabilities
28 Application Siemens Desigo Cc Info Center 5.0 * * * Version Details Vulnerabilities
29 Application Siemens Desigo Cc Info Center 5.1 * * * Version Details Vulnerabilities
30 Application Siemens E-car Operation Center * * * * Version Details Vulnerabilities
31 Application Siemens Energy Engage 3.1 * * * Version Details Vulnerabilities
32 Application Siemens Energyip 8.5 * * * Version Details Vulnerabilities
33 Application Siemens Energyip 8.6 * * * Version Details Vulnerabilities
34 Application Siemens Energyip 8.7 * * * Version Details Vulnerabilities
35 Application Siemens Energyip 9.0 * * * Version Details Vulnerabilities
36 Application Siemens Energyip Prepay 3.7 * * * Version Details Vulnerabilities
37 Application Siemens Energyip Prepay 3.8 * * * Version Details Vulnerabilities
38 Application Siemens Gma-manager * * * * Version Details Vulnerabilities
39 Application Siemens Head-end System Universal Device Integration System * * * * Version Details Vulnerabilities
40 Application Siemens Industrial Edge Management * * * * Version Details Vulnerabilities
41 Application Siemens Industrial Edge Management Hub * * * * Version Details Vulnerabilities
42 Application Siemens Logo\! Soft Comfort * * * * Version Details Vulnerabilities
43 Application Siemens Mendix * * * * Version Details Vulnerabilities
44 Application Siemens Mindsphere * * * * Version Details Vulnerabilities
45 Application Siemens Navigator * * * * Version Details Vulnerabilities
46 Application Siemens NX * * * * Version Details Vulnerabilities
47 Application Siemens Opcenter Intelligence * * * * Version Details Vulnerabilities
48 Application Siemens Operation Scheduler * * * * Version Details Vulnerabilities
49 Application Siemens Sentron Powermanager 4.1 * * * Version Details Vulnerabilities
50 Application Siemens Sentron Powermanager 4.2 * * * Version Details Vulnerabilities
51 Application Siemens Siguard Dsa 4.2 * * * Version Details Vulnerabilities
52 Application Siemens Siguard Dsa 4.3 * * * Version Details Vulnerabilities
53 Application Siemens Siguard Dsa 4.4 * * * Version Details Vulnerabilities
54 Application Siemens Sipass Integrated 2.80 * * * Version Details Vulnerabilities
55 Application Siemens Sipass Integrated 2.85 * * * Version Details Vulnerabilities
56 Application Siemens Siveillance Command * * * * Version Details Vulnerabilities
57 Application Siemens Siveillance Control Pro * * * * Version Details Vulnerabilities
58 Application Siemens Siveillance Identity 1.5 * * * Version Details Vulnerabilities
59 Application Siemens Siveillance Identity 1.6 * * * Version Details Vulnerabilities
60 Application Siemens Siveillance Vantage * * * * Version Details Vulnerabilities
61 Application Siemens Siveillance Viewpoint * * * * Version Details Vulnerabilities
62 Application Siemens Solid Edge Cam Pro * * * * Version Details Vulnerabilities
63 Application Siemens Solid Edge Harness Design * * * * Version Details Vulnerabilities
64 Application Siemens Solid Edge Harness Design 2020 * * * Version Details Vulnerabilities
65 Application Siemens Solid Edge Harness Design 2020 Sp2002 * * Version Details Vulnerabilities
66 Application Siemens Solid Edge Harness Design 2020 - * * Version Details Vulnerabilities
67 Application Siemens Spectrum Power 4 * * * * Version Details Vulnerabilities
68 Application Siemens Spectrum Power 4 4.70 SP8 * * Version Details Vulnerabilities
69 Application Siemens Spectrum Power 4 4.70 - * * Version Details Vulnerabilities
70 Application Siemens Spectrum Power 4 4.70 SP7 * * Version Details Vulnerabilities
71 Application Siemens Spectrum Power 7 * * * * Version Details Vulnerabilities
72 Application Siemens Spectrum Power 7 2.30 * * * Version Details Vulnerabilities
73 Application Siemens Spectrum Power 7 2.30 SP2 * * Version Details Vulnerabilities
74 Application Siemens Spectrum Power 7 2.30 - * * Version Details Vulnerabilities
75 Application Siemens Teamcenter * * * * Version Details Vulnerabilities
76 Application Siemens Tracealertserverplus * * * * Version Details Vulnerabilities
77 Application Siemens Vesys * * * * Version Details Vulnerabilities
78 Application Siemens Vesys 2019.1 - * * Version Details Vulnerabilities
79 Application Siemens Vesys 2019.1 Sp1912 * * Version Details Vulnerabilities
80 Application Siemens Vesys 2019.1 * * * Version Details Vulnerabilities
81 Application Siemens Xpedition Enterprise - * * * Version Details Vulnerabilities
82 Application Siemens Xpedition Package Integrator - * * * Version Details Vulnerabilities
83 Application Sonicwall Email Security * * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apache Log4j 5
Debian Debian Linux 2
Fedoraproject Fedora 2
Intel Audio Development Kit 1
Intel Computer Vision Annotation Tool 1
Intel Datacenter Manager 1
Intel Genomics Kernel Library 1
Intel Oneapi 1
Intel Secure Device Onboard 1
Intel Sensor Solution Firmware Development Kit 1
Intel System Debugger 1
Intel System Studio 1
Siemens Captial 3
Siemens Comos 1
Siemens Desigo Cc Advanced Reports 5
Siemens Desigo Cc Info Center 2
Siemens E-car Operation Center 1
Siemens Energy Engage 1
Siemens Energyip 4
Siemens Energyip Prepay 2
Siemens Gma-manager 1
Siemens Head-end System Universal Device Integration System 1
Siemens Industrial Edge Management 1
Siemens Industrial Edge Management Hub 1
Siemens Logo\! Soft Comfort 1
Siemens Mendix 1
Siemens Mindsphere 1
Siemens Navigator 1
Siemens NX 1
Siemens Opcenter Intelligence 1
Siemens Operation Scheduler 1
Siemens Sentron Powermanager 2
Siemens Siguard Dsa 3
Siemens Sipass Integrated 2
Siemens Siveillance Command 1
Siemens Siveillance Control Pro 1
Siemens Siveillance Identity 2
Siemens Siveillance Vantage 1
Siemens Siveillance Viewpoint 1
Siemens Solid Edge Cam Pro 1
Siemens Solid Edge Harness Design 4
Siemens Spectrum Power 4 4
Siemens Spectrum Power 7 4
Siemens Teamcenter 1
Siemens Tracealertserverplus 1
Siemens Vesys 4
Siemens Xpedition Enterprise 1
Siemens Xpedition Package Integrator 1
Sonicwall Email Security 1

- References For CVE-2021-45046

http://www.openwall.com/lists/oss-security/2021/12/18/1
MLIST [oss-security] 20211218 Re: CVE-2021-45046: Apache Log4j2 Thread Context Message Pattern and Context Lookup Pattern vulnerable to a denial of service attack
https://cert-portal.siemens.com/productcert/pdf/ssa-397453.pdf CONFIRM
https://www.oracle.com/security-alerts/cpuapr2022.html
https://www.oracle.com/security-alerts/cpujan2022.html
https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032 CONFIRM
https://lists.fedoraproject.org/archives/list/[email protected]/message/SIG7FZULMNK2XF6FZRU4VWYDQXNMUGAJ/
FEDORA FEDORA-2021-abbe24e41c
https://lists.fedoraproject.org/archives/list/[email protected]/message/EOKPQGV24RRBBI4TBZUDQMM4MEH7MXCY/
FEDORA FEDORA-2021-5c9d12a93e
https://cert-portal.siemens.com/productcert/pdf/ssa-479842.pdf CONFIRM
https://www.cve.org/CVERecord?id=CVE-2021-44228
https://www.kb.cert.org/vuls/id/930724
CERT-VN VU#930724
https://cert-portal.siemens.com/productcert/pdf/ssa-714170.pdf CONFIRM
https://www.debian.org/security/2021/dsa-5022
DEBIAN DSA-5022
https://www.oracle.com/security-alerts/alert-cve-2021-44228.html CONFIRM
http://www.openwall.com/lists/oss-security/2021/12/15/3
MLIST [oss-security] 20211215 Re: CVE-2021-45046: Apache Log4j2 Thread Context Message Pattern and Context Lookup Pattern vulnerable to a denial of service attack
https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd
CISCO 20211210 Vulnerabilities in Apache Log4j Library Affecting Cisco Products: December 2021
https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00646.html CONFIRM
https://logging.apache.org/log4j/2.x/security.html
https://www.oracle.com/security-alerts/cpujul2022.html
N/A N/A
http://www.openwall.com/lists/oss-security/2021/12/14/4
MLIST [oss-security] 20211214 CVE-2021-45046: Apache Log4j2 Thread Context Message Pattern and Context Lookup Pattern vulnerable to a denial of service attack
https://cert-portal.siemens.com/productcert/pdf/ssa-661247.pdf CONFIRM

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0

- Metasploit Modules Related To CVE-2021-45046

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.